# HG changeset patch
# User Rafael Laboissiere <rafael@laboissiere.net>
# Date 1429437210 10800
# Node ID c3d76a990c39aa92c0210886846bfdff99124e55
# Parent  0b83a442ff7835af08c7620ce735eea075d9304a
Fix spelling and grammar mistakes

diff -r 0b83a442ff78 -r c3d76a990c39 NEWS
--- a/NEWS	Sat Apr 18 20:38:59 2015 -0700
+++ b/NEWS	Sun Apr 19 06:53:30 2015 -0300
@@ -74,7 +74,7 @@
     for --traditional.
 
  ** The "backtrace" warning option is now enabled by default.  This change
-    was made for Matlab compatability.
+    was made for Matlab compatibility.
 
  ** For compatibility with Matlab, the "ismatrix (x)" function now only checks
     the dimension of "x".  The old behaviour of "ismatrix" is obtained by
diff -r 0b83a442ff78 -r c3d76a990c39 doc/interpreter/emacs.txi
--- a/doc/interpreter/emacs.txi	Sat Apr 18 20:38:59 2015 -0700
+++ b/doc/interpreter/emacs.txi	Sun Apr 19 06:53:30 2015 -0300
@@ -506,7 +506,7 @@
 You can use either `plain' Emacs Info or the function @code{octave-help}
 as your Octave info reader (for @samp{help -i}).  In the former case,
 use @code{info_program ("info-emacs-info")}.
-The latter is perhaps more attractive because it allows to look up keys
+The latter is perhaps more attractive because it allows one to look up keys
 in the indices of @emph{several} info files related to Octave (provided
 that the Emacs variable @code{octave-help-files} is set correctly).  In
 this case, use @code{info_program ("info-emacs-octave-help")}.
diff -r 0b83a442ff78 -r c3d76a990c39 doc/interpreter/image.txi
--- a/doc/interpreter/image.txi	Sat Apr 18 20:38:59 2015 -0700
+++ b/doc/interpreter/image.txi	Sun Apr 19 06:53:30 2015 -0300
@@ -84,11 +84,11 @@
 capable of reading them all.  Because of this, the function
 @code{imformats} keeps a configurable list of available formats,
 their extensions, and what functions should the image IO functions
-use.  This allows to expand Octave's image IO capabilities by
+use.  This allows one to expand Octave's image IO capabilities by
 creating functions aimed at acting on specific file formats.
 
 While it would be possible to call the extra functions directly,
-properly configuring Octave with @code{imformats} allows to keep a
+properly configuring Octave with @code{imformats} allows one to keep a
 consistent code that is abstracted from file formats.
 
 It is important to note that a file format is not actually defined by its
diff -r 0b83a442ff78 -r c3d76a990c39 doc/interpreter/io.txi
--- a/doc/interpreter/io.txi	Sat Apr 18 20:38:59 2015 -0700
+++ b/doc/interpreter/io.txi	Sun Apr 19 06:53:30 2015 -0300
@@ -392,7 +392,7 @@
 interpret the format template differently in order to improve the
 performance of printing vector and matrix values.
 
-Implementation Note: For compatability with @sc{matlab}, escape sequences in
+Implementation Note: For compatibility with @sc{matlab}, escape sequences in
 the template string (e.g., @qcode{"\n"} => newline) are expanded even
 when the template string is defined with single quotes.
 
diff -r 0b83a442ff78 -r c3d76a990c39 libinterp/corefcn/bsxfun.cc
--- a/libinterp/corefcn/bsxfun.cc	Sat Apr 18 20:38:59 2015 -0700
+++ b/libinterp/corefcn/bsxfun.cc	Sun Apr 19 06:53:30 2015 -0300
@@ -359,7 +359,7 @@
           || (func.is_function_handle ()
               && ! A.is_object () && ! B.is_object ()))
         {
-          // This may break if the default behavior is overriden.  But if you
+          // This may break if the default behavior is overridden.  But if you
           // override arithmetic operators for builtin classes, you should
           // expect mayhem anyway (constant folding etc).  Querying
           // is_overloaded() may not be exactly what we need here.
diff -r 0b83a442ff78 -r c3d76a990c39 libinterp/corefcn/file-io.cc
--- a/libinterp/corefcn/file-io.cc	Sat Apr 18 20:38:59 2015 -0700
+++ b/libinterp/corefcn/file-io.cc	Sun Apr 19 06:53:30 2015 -0300
@@ -889,7 +889,7 @@
 \n\
 The optional output returns the number of bytes written to the file.\n\
 \n\
-Implementation Note: For compatability with @sc{matlab}, escape sequences in\n\
+Implementation Note: For compatibility with @sc{matlab}, escape sequences in\n\
 the template string (e.g., @qcode{\"\\\\n\"} => newline) are expanded even\n\
 when the template string is defined with single quotes.\n\
 @seealso{fputs, fdisp, fwrite, fscanf, printf, sprintf, fopen}\n\
@@ -959,7 +959,7 @@
 complete description of the syntax of the template string.\n\
 @end ifclear\n\
 \n\
-Implementation Note: For compatability with @sc{matlab}, escape sequences in\n\
+Implementation Note: For compatibility with @sc{matlab}, escape sequences in\n\
 the template string (e.g., @qcode{\"\\\\n\"} => newline) are expanded even\n\
 when the template string is defined with single quotes.\n\
 @seealso{fprintf, sprintf, scanf}\n\
@@ -1068,7 +1068,7 @@
 returns the string, automatically sized to hold all of the items\n\
 converted.\n\
 \n\
-Implementation Note: For compatability with @sc{matlab}, escape sequences in\n\
+Implementation Note: For compatibility with @sc{matlab}, escape sequences in\n\
 the template string (e.g., @qcode{\"\\\\n\"} => newline) are expanded even\n\
 when the template string is defined with single quotes.\n\
 @seealso{printf, fprintf, sscanf}\n\
@@ -2289,7 +2289,7 @@
 \n\
 Programming Note: The value returned by @code{P_tmpdir} is always the\n\
 default location.  This value may not agree with that returned from\n\
-@code{tempdir} if the user has overriden the default with the @env{TMPDIR}\n\
+@code{tempdir} if the user has overridden the default with the @env{TMPDIR}\n\
 environment variable.\n\
 @seealso{tempdir, tempname, mkstemp, tmpfile}\n\
 @end deftypefn")
diff -r 0b83a442ff78 -r c3d76a990c39 libinterp/corefcn/graphics.cc
--- a/libinterp/corefcn/graphics.cc	Sat Apr 18 20:38:59 2015 -0700
+++ b/libinterp/corefcn/graphics.cc	Sun Apr 19 06:53:30 2015 -0300
@@ -11561,8 +11561,8 @@
 @var{type} may also be the concatenation of a core object type and\n\
 a valid property name for that object type.  The property created\n\
 then has the same characteristics as the referenced property (type,\n\
-possible values, hidden state@dots{}).  This allows to clone an existing\n\
-property into the graphics object @var{h}.\n\
+possible values, hidden state@dots{}).  This allows one to clone an\n\
+existing property into the graphics object @var{h}.\n\
 \n\
 Examples:\n\
 \n\
diff -r 0b83a442ff78 -r c3d76a990c39 libinterp/corefcn/jit-ir.h
--- a/libinterp/corefcn/jit-ir.h	Sat Apr 18 20:38:59 2015 -0700
+++ b/libinterp/corefcn/jit-ir.h	Sun Apr 19 06:53:30 2015 -0300
@@ -566,7 +566,7 @@
 
   void replace_in_phi (jit_block *ablock, jit_block *with);
 
-  // we have a new internal list, but we want to stay compatable with jit_value
+  // we have a new internal list, but we want to stay compatible with jit_value
   jit_use *first_use (void) const { return jit_value::first_use (); }
 
   size_t use_count (void) const { return jit_value::use_count (); }
diff -r 0b83a442ff78 -r c3d76a990c39 libinterp/corefcn/jit-typeinfo.h
--- a/libinterp/corefcn/jit-typeinfo.h	Sat Apr 18 20:38:59 2015 -0700
+++ b/libinterp/corefcn/jit-typeinfo.h	Sun Apr 19 06:53:30 2015 -0300
@@ -40,7 +40,7 @@
 // Operations are defined and implemented in jit_typeinfo.  Eventually they
 // should be moved elsewhere. (just like with octave_typeinfo)
 
-// jit_range is compatable with the llvm range structure
+// jit_range is compatible with the llvm range structure
 struct
 jit_range
 {
@@ -63,7 +63,7 @@
 
 std::ostream& operator << (std::ostream& os, const jit_range& rng);
 
-// jit_array is compatable with the llvm array/matrix structures
+// jit_array is compatible with the llvm array/matrix structures
 template <typename T, typename U>
 struct
 jit_array
diff -r 0b83a442ff78 -r c3d76a990c39 libinterp/corefcn/ls-oct-binary.cc
--- a/libinterp/corefcn/ls-oct-binary.cc	Sat Apr 18 20:38:59 2015 -0700
+++ b/libinterp/corefcn/ls-oct-binary.cc	Sun Apr 19 06:53:30 2015 -0300
@@ -207,7 +207,7 @@
       {
         // FIXME:
         // This is cruft, since its for a save type that is old. Maybe
-        // this is taking backward compatability too far!!
+        // this is taking backward compatibility too far!!
         int32_t len;
         if (! is.read (reinterpret_cast<char *> (&len), 4))
           goto data_read_error;
diff -r 0b83a442ff78 -r c3d76a990c39 libinterp/dldfcn/__magick_read__.cc
--- a/libinterp/dldfcn/__magick_read__.cc	Sat Apr 18 20:38:59 2015 -0700
+++ b/libinterp/dldfcn/__magick_read__.cc	Sun Apr 19 06:53:30 2015 -0300
@@ -1873,7 +1873,7 @@
     "Copyright",          // actually an Exif tag
     "DigitalCamera",
     "GPSInfo",
-    // Notes for the future: GM allows to get many attributes, and even has
+    // Notes for the future: GM allows one to get many attributes, and even has
     // attribute() to obtain arbitrary ones, that may exist in only some
     // cases. The following is a list of some methods and into what possible
     // Matlab compatible values they may be converted.
diff -r 0b83a442ff78 -r c3d76a990c39 libinterp/octave-value/ov-base.h
--- a/libinterp/octave-value/ov-base.h	Sat Apr 18 20:38:59 2015 -0700
+++ b/libinterp/octave-value/ov-base.h	Sun Apr 19 06:53:30 2015 -0300
@@ -219,7 +219,7 @@
   virtual octave_base_value *
   empty_clone (void) const;
 
-  // Unique clone. Usually clones, but may be overriden to fake the
+  // Unique clone. Usually clones, but may be overridden to fake the
   // cloning when sharing copies is to be controlled from within an
   // instance (see octave_class).
   virtual octave_base_value *
@@ -764,7 +764,7 @@
   virtual bool
   fast_elem_insert (octave_idx_type n, const octave_value& x);
 
-  // This is a helper for the above, to be overriden in scalar types.  The
+  // This is a helper for the above, to be overridden in scalar types.  The
   // whole point is to handle the insertion efficiently with just *two* VM
   // calls, which is basically the theoretical minimum.
   virtual bool
diff -r 0b83a442ff78 -r c3d76a990c39 liboctave/util/oct-shlib.h
--- a/liboctave/util/oct-shlib.h	Sat Apr 18 20:38:59 2015 -0700
+++ b/liboctave/util/oct-shlib.h	Sun Apr 19 06:53:30 2015 -0300
@@ -65,7 +65,7 @@
 
     bool is_out_of_date (void) const;
 
-    // This method will be overriden conditionally.
+    // This method will be overridden conditionally.
     static shlib_rep *new_instance (const std::string& f);
 
     static shlib_rep *get_instance (const std::string& f, bool fake);
diff -r 0b83a442ff78 -r c3d76a990c39 scripts/plot/draw/mesh.m
--- a/scripts/plot/draw/mesh.m	Sat Apr 18 20:38:59 2015 -0700
+++ b/scripts/plot/draw/mesh.m	Sun Apr 19 06:53:30 2015 -0300
@@ -141,6 +141,6 @@
 %! xlabel 'X-axis';
 %! ylabel 'Y-axis';
 %! zlabel 'Z-axis';
-%! title ({'mesh() default properties overriden', ...
+%! title ({'mesh() default properties overridden', ...
 %!         'transparent mesh with cyan color'});
 
